curl --location --request POST 'https://app.gpt-trainer.com/api/v1/chatbot/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"name": "string",
"rate_limit": [
20,
240
],
"rate_limit_message": "Too many messages",
"show_citations": false,
"visibility": "private"
}'
import requests
url = 'https://app.gpt-trainer.com/api/v1/chatbot/create'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"name": "string",
"rate_limit": [20, 240],
"rate_limit_message": "Too many messages",
"show_citations": False,
"visibility": "private"
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const url = "https://app.gpt-trainer.com/api/v1/chatbot/create";
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
const data = {
name: "string",
rate_limit: [20, 240],
rate_limit_message: "Too many messages",
show_citations: false,
visibility: "private",
};
axios
.post(url, data, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"created_at": "string",
"meta": {
"rate_limit": [20, 240],
"rate_limit_message": "Too many messages",
"show_citations": false,
"visibility": "private"
},
"modified_at": "string",
"name": "string",
"uuid": "string"
}
Chatbots
Create Chatbot
Create a chatbot that belongs to the authenticated user
POST
/
api
/
v1
/
chatbot
/
create
curl --location --request POST 'https://app.gpt-trainer.com/api/v1/chatbot/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"name": "string",
"rate_limit": [
20,
240
],
"rate_limit_message": "Too many messages",
"show_citations": false,
"visibility": "private"
}'
import requests
url = 'https://app.gpt-trainer.com/api/v1/chatbot/create'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"name": "string",
"rate_limit": [20, 240],
"rate_limit_message": "Too many messages",
"show_citations": False,
"visibility": "private"
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const url = "https://app.gpt-trainer.com/api/v1/chatbot/create";
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
const data = {
name: "string",
rate_limit: [20, 240],
rate_limit_message: "Too many messages",
show_citations: false,
visibility: "private",
};
axios
.post(url, data, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"created_at": "string",
"meta": {
"rate_limit": [20, 240],
"rate_limit_message": "Too many messages",
"show_citations": false,
"visibility": "private"
},
"modified_at": "string",
"name": "string",
"uuid": "string"
}
Body
string
required
string
[number, number]
string
boolean
Response
string
string
string
string
curl --location --request POST 'https://app.gpt-trainer.com/api/v1/chatbot/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"name": "string",
"rate_limit": [
20,
240
],
"rate_limit_message": "Too many messages",
"show_citations": false,
"visibility": "private"
}'
import requests
url = 'https://app.gpt-trainer.com/api/v1/chatbot/create'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"name": "string",
"rate_limit": [20, 240],
"rate_limit_message": "Too many messages",
"show_citations": False,
"visibility": "private"
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const url = "https://app.gpt-trainer.com/api/v1/chatbot/create";
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
const data = {
name: "string",
rate_limit: [20, 240],
rate_limit_message: "Too many messages",
show_citations: false,
visibility: "private",
};
axios
.post(url, data, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"created_at": "string",
"meta": {
"rate_limit": [20, 240],
"rate_limit_message": "Too many messages",
"show_citations": false,
"visibility": "private"
},
"modified_at": "string",
"name": "string",
"uuid": "string"
}
⌘I